%global pypi_name hiredis
%global common_description %{expand:
Python extension that wraps protocol parsing code in hiredis. It primarily
speeds up parsing of multi bulk replies.
}

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        1%{?dist}.10
Summary:        Python wrapper for hiredis

License:        BSD
URL:            https://github.com/redis/hiredis-py
Source0:        https://files.pythonhosted.org/packages/source/h/%{pypi_name}/%{pypi_name}-1.1.0.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
%{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{common_description}


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Aug  4 2020 Daniel Uvehag <daniel.uvehag@gmail.com> - 1.1.0-1
- Initial package.
